import request from '@/utils/request'

// 查询素材分组管理列表
export function listMaterialGroup(query) {
  return request({
    url: '/system/materialGroup/list',
    method: 'get',
    params: query
  })
}

// 查询素材分组管理详细
export function getMaterialGroup(groupId) {
  return request({
    url: '/system/materialGroup/' + groupId,
    method: 'get'
  })
}

// 新增素材分组管理
export function addMaterialGroup(data) {
  return request({
    url: '/system/materialGroup',
    method: 'post',
    data: data
  })
}

// 修改素材分组管理
export function updateMaterialGroup(data) {
  return request({
    url: '/system/materialGroup',
    method: 'put',
    data: data
  })
}

// 删除素材分组管理
export function delMaterialGroup(groupId) {
  return request({
    url: '/system/materialGroup/' + groupId,
    method: 'delete'
  })
}
